<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use SimpleXMLIterator;

class VimeoLinkParser implements ItemParser
{

    public const LINK_TYPE = 'x-im/vimeo';

    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $item->fill($item->getItemAttributes());

        return [$item];
    }
}
